<?php

if ( class_exists( 'WP_Customize_Control' ) ) {
	class WP_Pub_AI_Customize_Control extends WP_Customize_Control {

		/**
		 * Render the control's content.
		 */
		public function render_content() {
			?>
            <div class="pub-wp-serveur"
                 style="background: #33414E !important;color: #FFF !important;padding:10px">
                <div class="logo" style="margin: 0 auto;display: block;width: fit-content;margin-bottom: 10px;">
                    <a href="https://www.wpserveur.net/?refwps=14&campaign=wpsaichatgps" target="_blank">
                        <img src="https://www.wpserveur.net/muwps/WPServeur-logo-white.svg" alt="WPServeur"
                             height="auto"
                             width="150"/>
                    </a>
                </div>
                <div class="message" style="text-align: center;font-size: 0.8em;">
                    <strong><?php _e('Buy WPServer AI Tokens to use the full power of ChatGPT', 'wps-ai-chatgpt'); ?></strong>
                </div>
                <div class="cta" style="margin-top: 10px;">
                    <a href="https://www.wpserveur.net/produit/jetons-ai-wpserveur-pour-wps-ai-chatgpt/" target="_blank" style="    width: 100%;
    padding: 8px 20px;
    white-space: nowrap;
    margin-bottom: 4px;
    text-decoration: none;
    text-align: center;
    font-weight: 500;
    border-radius: 4px;
    line-height: 18px;
    height: unset;
    text-shadow: none;
    box-sizing: border-box;
    margin-right: 40px;
    display: block;
    background: #95bf23;
    color: #fff;
}"
                       class="btn-pubwps btn-abonner" onMouseOver="this.style.color='#95bf23';this.style.background='#fff'"
                       onMouseOut="this.style.color='#fff';this.style.background='#95bf23'"><?php _e( 'Buy Tokens', 'wps-ai-chatgpt' ); ?></a>
                </div>
            </div>
			<?php
		}
	}

	class WP_Pub_WPServeur_Customize_Control extends WP_Customize_Control {

		/**
		 * Render the control's content.
		 */
		public function render_content() {
			?>
            <div class="pub-wp-serveur"
                 style="background: #33414E !important;color: #FFF !important;padding:10px">
                <div class="logo" style="margin: 0 auto;display: block;width: fit-content;margin-bottom: 10px;">
                    <a href="https://www.wpserveur.net/?refwps=14&campaign=wpsaichatgps" target="_blank">
                        <img src="https://www.wpserveur.net/muwps/WPServeur-logo-white.svg" alt="WPServeur"
                             height="auto"
                             width="150"/>
                    </a>
                </div>
                <div class="message" style="text-align: center;font-size: 0.8em;">
                    <strong><?php _e( 'Discover the specialized WordPress hosting with WPServeur!', 'wps-ai-chatgpt' ); ?></strong>
                    <strong><?php _e( 'For fast, secure and efficient hosting.', 'wps-ai-chatgpt' ); ?></strong><br/>
	                <?php _e( 'We only do WordPress but we do it well!', 'wps-ai-chatgpt' ); ?><br/>
                    <i style="font-size:11px;"><?php _e( '(-10% discount on your subscription with the promo code <strong>WPSC&T</strong>)', 'wps-ai-chatgpt' ); ?></i>
                </div>
                <div class="cta" style="margin-top: 10px;">
                    <a href="https://www.wpserveur.net/?refwps=14&campaign=wpsaichatgps" target="_blank" style="    width: 100%;
    padding: 8px 20px;
    white-space: nowrap;
    margin-bottom: 4px;
    text-decoration: none;
    text-align: center;
    font-weight: 500;
    border-radius: 4px;
    line-height: 18px;
    height: unset;
    text-shadow: none;
    box-sizing: border-box;
    margin-right: 40px;
    display: block;
    background: #95bf23;
    color: #fff;
}"
                       class="btn-pubwps btn-abonner" onMouseOver="this.style.color='#95bf23';this.style.background='#fff'"
                       onMouseOut="this.style.color='#fff';this.style.background='#95bf23'"><?php _e( 'Subscribe to WPServeur', 'wps-ai-chatgpt' ); ?></a>
                </div>
            </div>
			<?php
		}
	}

	class WP_Pub_Nuxit_Customize_Control extends WP_Customize_Control {

		/**
		 * Render the control's content.
		 */
		public function render_content() {
			?>
            <div class="pub-wp-serveur"
                 style="background: #33414E !important;color: #FFF !important;padding:20px">
                <div class="logo" style="margin: 0 auto;display: block;width: fit-content;margin-bottom: 10px;">
                    <a href="https://www.wpserveur.net/?refwps=14&campaign=wpsaichatgps" target="_blank">
                        <img src="https://www.wpserveur.net/muwps/WPServeur-logo-white.svg" alt="WPServeur"
                             height="auto"
                             width="200"/>
                    </a>
                </div>
                <div class="message" style="text-align: center;">
                    <strong><?php _e('Looking for a domain name at cost price and professional emails included?', 'wps-ai-chatgpt'); ?></strong>
                </div>
                <div class="cta" style="margin-top: 10px;">
                    <a href="https://www.nuxit.com/creation-et-transfert-de-domaine/" target="_blank" style="    width: 100%;
    padding: 8px 20px;
    white-space: nowrap;
    margin-bottom: 4px;
    text-decoration: none;
    text-align: center;
    font-weight: 500;
    border-radius: 4px;
    line-height: 18px;
    height: unset;
    text-shadow: none;
    box-sizing: border-box;
    margin-right: 40px;
    display: block;
    background: #95bf23;
    color: #fff;
}"
                       class="btn-pubwps btn-abonner" onMouseOver="this.style.color='#95bf23';this.style.background='#fff'"
                       onMouseOut="this.style.color='#fff';this.style.background='#95bf23'"><?php _e( 'Discover Nuxit', 'wps-ai-chatgpt' ); ?></a>
                </div>
            </div>
			<?php
		}
	}
}
